using GreadyPoang.Core;

namespace GreadyPoang
{
    public partial class AppShell : Shell
    {
        private readonly IPageFactory _factory;

        public AppShell(IPageFactory factory)
        {
            InitializeComponent();

            Routing.RegisterRoute("RoundStart", typeof(Pages.RoundStartingPage));
            Routing.RegisterRoute("Deltagare", typeof(Pages.ParticipantListPage));
            Routing.RegisterRoute("RoundRunning", typeof(Pages.RoundRunningPage));
            _factory = factory;
        }
    }
}
